npm command-line interface

# npm-unpublish

Remove a package from the registry

## Table of contents

- Synopsis

- Unpublishing a single version of a package
- Unpublishing an entire package

- Warning
- Description
- See Also

### Synopsis

#### Unpublishing a single version of a package

    npm unpublish [<@scope>/]<pkg>@<version>

#### Unpublishing an entire package

    npm unpublish [<@scope>/]<pkg> --force

### Warning

Consider using the `deprecate` command instead, if your intent is to encourage users to upgrade, or if you no longer want to maintain a package.

### Description

This removes a package version from the registry, deleting its entry and removing the tarball.

If no version is specified, or if all versions are removed then the root package entry is removed from the registry entirely.

Even if a package version is unpublished, that specific name and version combination can never be reused. In order to publish the package again, a new version number must be used. If you unpublish the entire package, you may not publish any new versions of that package until 24 hours have passed.

To learn more about how unpublish is treated on the npm registry, see our unpublish policies.

### See Also

- npm deprecate
- npm publish
- npm registry
- npm adduser
- npm owner